﻿using DelRec.Models;
using Microsoft.AspNetCore.Mvc;

namespace DelRec.Controllers
{
    public class HomeController : Controller
    {
        private SchoolContext context;
        public HomeController(SchoolContext cc)
        {
            context = cc;
        }

        public IActionResult Index()
        {
            List<Student> studentList = new List<Student>();
            studentList = context.Student.ToList();
            return View(studentList);
        }

        [HttpPost]
        public string Delete(int id)
        {
            var student = new Student()
            {
                Id = id
            };

            context.Student.Remove(student);
            context.SaveChanges();
            return "success";
        }
    }
}